# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Data/Entropy/Algorithms.pm) perl(Digest.pm) perl(Digest/Bcrypt.pm) perl(Encode.pm) perl(Encode/CN.pm) perl(Encode/JP.pm) perl(Encode/KR.pm) perl(Encode/TW.pm) perl(Exporter.pm) perl(Exporter/Easy.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Copy.pm) perl(File/Find/Rule.pm) perl(File/Glob.pm) perl(File/Slurp/Tiny.pm) perl(File/Spec.pm) perl(File/Spec/Functions.pm) perl(FindBin.pm) perl(HTML/Entities.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(JSON/Meth.pm) perl(List/AllUtils.pm) perl(List/UtilsBy.pm) perl(MIME/Base64.pm) perl(Mojo/Base.pm) perl(Mojo/DOM.pm) perl(Mojo/Pg.pm) perl(Mojolicious.pm) perl(Mojolicious/Commands.pm) perl(Mojolicious/Lite.pm) perl(Mojolicious/Plugin/AntiSpamMailTo.pm) perl(Mojolicious/Plugin/AssetPack.pm) perl(Mojolicious/Plugin/Bootstrap3.pm)
BuildRequires: perl(Mojolicious/Plugin/FormChecker.pm) perl(Mojolicious/Plugin/IP2Location.pm) perl(Scalar/Util.pm) perl(Search/Indexer.pm) perl(Test/Mojo/WithRoles.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Text/Markdown.pm) perl(Toadfarm.pm) perl(autobox.pm) perl(blib.pm) perl(experimental.pm) perl(lib.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name XTaTIK
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.005002
Release: alt1
Summary: Rapidly deployable, multi-website eCommerce website base
Group: Development/Perl
License: perl
URL: http://metacpan.org/release/XTaTIK

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/Z/ZO/ZOFFIX/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
XTaTIK is a typical eCommerce website base that can be used to run
a single website, but its true power shows when you want to run many
separate websites that belong to one company and offer overlapping
sets of products (for example, single company serving several markets).

    XTaTIK Core
    .i'
    .i'.ie.ie Single database for products and customer data
    .i'
    .ii.ie.ie Company Silo.ie.ie.ie.ie.ie.ie Single product images directory
        .i'
        .i'.ie.ie Site 1 Silo
        .i'.ie.ie Site 2 Silo
        .i'.ie.ie Site 3 Silo
        .ii.ie.ie Site 4 Silo

*"Silo" is just a term for a directory with a subset of website files.*

The idea, depicted above, is that core eCommerce functionality, like
"About us" pages, product search, purchasing a product or adding one
to a quote, and check out pages are all handled by XTaTIK core.

Company Silo offers any configuration that is to be shared among all the
websites. This would be your company's branch addresses, maps,
email addresses, etc. You can also override default XTaTIK's pages
and even business logic. This is also where you keep all the product images.

In Site Silos, you setup anything that you can't specify in your Company
Silo. This would be market name and Google Analytics tracking code,
among others. As with the Company Silo, in Site Silos you can override
any config, files, and business logic provided by the Company Silo or
the XTaTIK core.

The end result is you don't duplicate anything that you don't need to.
Each site is using the same master products database and master
product pictures directory, so any changes done in one place are propagated
to all of your sites. Same goes for any config you specify in the Company
Silo.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README.md LICENSE README
%perl_vendor_privlib/X*

%files scripts
%_bindir/*

%changelog
* Mon Dec 24 2018 Igor Vlasenko <viy@altlinux.ru> 0.005002-alt1
- initial import by package builder

